Obtain invoice payment instructions
curl --request POST \
--url https://api.quentli.com/v1/invoices/{id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"paymentType": "TRANSFER"
}
}
'import requests
url = "https://api.quentli.com/v1/invoices/{id}/payments"
payload = { "input": { "paymentType": "TRANSFER" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {paymentType: 'TRANSFER'}})
};
fetch('https://api.quentli.com/v1/invoices/{id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment": {
"id": "p_1234567890abcdefghij",
"amount": 25000,
"currency": "MXN",
"isCompleted": false,
"type": "CASH",
"cashPaymentInstructions": {
"reference": "12345678901234567890",
"expiresAt": null
}
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Invoices
Obtain invoice payment instructions
Creates or reuses a pending CASH or TRANSFER payment and returns its payment instructions.
POST
/
v1
/
invoices
/
{id}
/
payments
Obtain invoice payment instructions
Authorizations
Organization API key using Authorization: Bearer sk_....
Path Parameters
Identifier of the invoice.
Body
application/json
Request body for obtaining a CASH or TRANSFER payment. Invoice ID is provided in the URL path.
Show child attributes
Show child attributes
Response
Invoice payment instructions
Pending invoice payment with the instructions required to complete it.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?